DevExtreme jQuery/JS - Access the Clicked Item
To access the clicked item, handle the itemClick event. If the event handling function is not going to be changed during the lifetime of the widget, assign it to the onItemClick option when you configure the widget.
JavaScript
- $(function() {
- $("#menuContainer").dxMenu({
- // ...
- onItemClick: function(e) {
- var itemData = e.itemData;
- var itemElement = e.itemElement;
- var itemIndex = e.itemIndex;
- // ...
- }
- });
- });
If you are going to change event handlers at runtime, or if you need to attach several handlers to the itemClick event, subscribe to this event using the on(eventName, eventHandler) method. This approach is more typical of jQuery.
JavaScript
- var itemClickHandler1 = function(e) {
- // First handler of the "itemClick" event
- };
- var itemClickHandler2 = function(e) {
- // Second handler of the "itemClick" event
- };
- $("#menuContainer").dxMenu("instance")
- .on("itemClick", itemClickHandler1)
- .on("itemClick", itemClickHandler2);
See Also
- Handle Events: Angular | Vue | React | jQuery | AngularJS | Knockout | ASP.NET MVC 5 | ASP.NET Core
- Menu - Customize Item Appearance
- Menu - Change the Orientation
- Menu Demos
- Menu API Reference
Feel free to share topic-related thoughts here.
If you have technical questions, please create a support ticket in the DevExpress Support Center.
Thank you for the feedback!
If you have technical questions, please create a support ticket in the DevExpress Support Center.

DevExtreme React - Access the Clicked Item
To access the clicked item, handle the itemClick event. If the event handling function is not going to be changed during the lifetime of the widget, assign it to the onItemClick option when you configure the widget.
jQuery
JavaScript
$(function() {
$("#menuContainer").dxMenu({
// ...
onItemClick: function(e) {
var itemData = e.itemData;
var itemElement = e.itemElement;
var itemIndex = e.itemIndex;
// ...
}
});
});Angular
HTML
TypeScript
<dx-menu ...
(onItemClick)="itemClick($event)">
</dx-menu>
import { DxMenuModule } from "devextreme-angular";
// ...
export class AppComponent {
itemClick(e) {
const { itemData, itemElement, itemIndex } = e;
// ...
}
}
@NgModule({
imports: [
// ...
DxMenuModule
],
// ...
})Vue
App.vue
<template>
<DxMenu ...
@item-click="itemClick"
/>
</template>
<script>
import 'devextreme/dist/css/dx.common.css';
import 'devextreme/dist/css/dx.light.css';
import DxMenu from 'devextreme-vue/menu';
export default {
components: {
DxMenu
},
methods: {
itemClick(e) {
const { itemData, itemElement, itemIndex } = e;
// ...
}
}
};
</script>React
App.js
import React from 'react';
import 'devextreme/dist/css/dx.common.css';
import 'devextreme/dist/css/dx.light.css';
import { Menu } from 'devextreme-react/menu';
class App extends React.Component {
render() {
return (
<Menu ...
onItemClick={this.itemClick}
/>
);
}
itemClick = (e) => {
const { itemData, itemElement, itemIndex } = e;
// ...
}
}
export default App;If you are going to change event handlers at runtime, or if you need to attach several handlers to the itemClick event, subscribe to this event using the on(eventName, eventHandler) method. This approach is more typical of jQuery.
JavaScript
var itemClickHandler1 = function(e) {
// First handler of the "itemClick" event
};
var itemClickHandler2 = function(e) {
// Second handler of the "itemClick" event
};
$("#menuContainer").dxMenu("instance")
.on("itemClick", itemClickHandler1)
.on("itemClick", itemClickHandler2);See Also
- Handle Events: Angular | Vue | React | jQuery | AngularJS | Knockout | ASP.NET MVC 5 | ASP.NET Core
- Menu - Customize Item Appearance
- Menu - Change the Orientation
- Menu Demos
- Menu API Reference
Feel free to share topic-related thoughts here.
If you have technical questions, please create a support ticket in the DevExpress Support Center.
Thank you for the feedback!
If you have technical questions, please create a support ticket in the DevExpress Support Center.